#include "include.hxx"

#include <iostream>
#include <climits>

#include "Binary.hxx"

using std::cout;
using std::cin;
using std::cerr;

int main(int argc, char** argv)
{
    llvm::InitializeAllTargetInfos();
    llvm::InitializeAllTargetMCs();
    llvm::InitializeAllAsmParsers();
    llvm::InitializeAllDisassemblers();

    Binary bin(argv[1]);
    bin.disassemble();

    bin.disassemble_functions();
}
